Blame tests/p_procinfo/5-test_procinfo.sh

Steve Barnes 464547
#!/bin/bash
root 2bfd68
# Author: Steve Barnes (steve@echo.id.au)
Steve Barnes 464547
Steve Barnes 464547
t_Log "Running $0 - checking procinfo runs and returns non-zero exit status."
Steve Barnes 464547
Steve Barnes 464547
PROCINFO=`which procinfo`
Steve Barnes 464547
8f5b5f
[ "$PROCINFO" ] || { t_Log "Failed to find procinfo binary. Cannot continue."; exit $FAIL; }
Steve Barnes 464547
root 2bfd68
$PROCINFO &>/dev/null
Steve Barnes 464547
8f5b5f
[ $? -eq 0 ] || { t_Log "Procinfo exited with non-zero status. That ain't good..."; exit $FAIL; }
Athmane Madjoudj 0e57f0
Athmane Madjoudj 0e57f0
t_CheckExitStatus $?